@font-face {font-family: "Roboto"; src: url("fonts/Roboto-Regular.ttf"); }
@font-face {font-family: "Roboto Condensed"; src: url("fonts/RobotoCondensed-Regular.ttf"); }
@font-face {font-family: "Roboto Slab"; src: url("fonts/RobotoSlab-Regular.ttf"); }
@font-face {font-family: "Roboto Mono"; src: url("fonts/RobotoMono-Regular.ttf"); }
*, html, body {
	font-family: "Roboto Condensed";
	padding: 0;
	margin: 0;
	word-wrap: break-word;
	/*height: 100%;*/
}

body::-webkit-scrollbar {
	width: 6px;
	cursor: pointer;
}

body::-webkit-scrollbar-thumb {
	background: #9c88ff;
	border-radius: 10px;
}

html, body {
	width: 100%; height: 100%;
	background: #f1f2f6;
}

#main {
	overflow-x: hidden;
}

#icon {
	padding-left: 70px;
}
#icon:before {
	content: '';
	background-color: #fffbdf; background-color: #fee182;
	background-image: url(css/icon.PNG);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 90% 90%;
	position: absolute;
	width: 50px; height: 50px;
	top: 18px; left: 25px;
}

/*#table_parent_gameboard{display:table;}*/
#gameboard {
	/*background-color: #fffbdf; */
	/*background-image: url(css/9mm_v2.svg);*/
	background-repeat: no-repeat;
	background-position: center center;
	width: 510px; 
	height: 510px; 
	border: 1px solid rgba(0,0,0,0.2);
	box-shadow: 0 0 10px 2px rgba(0,0,0,0.5), inset 0 0 95px 15px rgba(0,0,0,0.2);
	border-radius: 10px;
	margin: auto;
}
#gameboard.skin-default,
.skin-default {
	background-image: url(css/skin/9mm_default.svg);
	background-size: 90% 90%;
	background-color: #fee182;
}
#gameboard.skin-chinese,
.skin-chinese {
	background-image: url(css/skin/9mm_chinese_border.svg), url(css/skin/9mm_chinese.svg);
	background-size: 100% 100%, 90% 90%;
	background-color: #ff7675;	
}

#gameboard.skin-marble,
.skin-marble {
	background-image: url(css/skin/9mm_marble.png);
	background-size: 100% 100%;
	background-color: #d3d4cf;	
	position: relative;
}

#gameboard.skin-marble:after,
.skin-marble:after {
	content: "";
	background: url(css/skin/9mm_nodes.svg);
	background-size: 90% 90%;
	background-repeat: no-repeat;
	background-position: center center;
	opacity: 0.5;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;  
}

#gameboard .points {
	/*border: 1px solid rgba(0,0,0,0.2);*/
	width: 43px; height: 43px;
	/*background: #e74c3c;*/
	position: absolute;
	cursor: pointer;
	border-radius: 100%;
}
#gameboard .points:hover {
	background: rgba(116, 185, 255, 0.2);
}

#gameboard .points .stone {
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
	margin: 0 auto;
}

#gameboard-blocker {
	width: 510px; 
	height: 510px; 
	border: 1px solid rgba(0,0,0,0.0);
	border-radius: 10px;
	margin: auto;
	position: absolute;
	top: 0; left: 0; right: 0; bottom: 0;
	/*background: red;*/
}

svg.stone {
	width: 43px; height: 43px;
	border-radius: 100%;
	box-shadow: 0 0 10px rgba(0,0,0,1);
	/*border: 1px solid rgba(0,0,0,0.3);*/
	position: absolute;
}

svg.stone circle {
	cursor: pointer;
}

svg.stone.white circle {
	fill: #ffffff;
}
svg.stone.black circle {
	fill: #2d3436;
}

#start_button {
	position: absolute;
	top: 0; left: 0; right: -4px; bottom: 0;
	margin: auto;
	width: 50px;
	height: 50px;
	display: block;
	/*background: #fee182;*/
	outline: none;
	/*border: none;*/
	/*box-shadow: inset 0 0 25px 1px rgba(0,0,0,0.2);*/
	border-radius: 100%;
	/*border: 2px dashed rgba(0,0,0,0.4);*/
	opacity: 0.3;
	transition: 0.5s;
	-webkit-transition: 0.5s;
	-ms-transition: 0.5s;
	-o-transition: 0.5s;
	background: rgba(0,0,0,0.1);
}
#start_button:hover {
	/*box-shadow: inset 0 0 30px 1px #fff;*/
	opacity: 0.7;
}
#start_button:active {
	/*box-shadow: inset 0 0 45px 15px rgba(0,0,0,0.2);*/
}

.modal {
	/*top: 5% !important;*/

}

.modal input[type=text] {
	border: none;
	outline: none;
	text-align: center;
	border: 2px dashed rgba(0,0,0,0.3);
	border-radius: 4px;
	padding: 5px 10px;
	font-family: Roboto Mono;
	font-size: 11px;
	text-transform: uppercase;
}

.modal #txt_stone_image_url,
.modal #txt_image_url,
.modal #txt_s {
	text-transform: none !important;
}


#home_stone, #away_stone {
	position: absolute;
	margin: 8px auto;
	left: 0;
	right: 0;
}
#home_name, #away_name {
	position: absolute;
	margin: 5px;
	font-family:'Roboto Mono';
	margin-left: 10px;
	border-radius: 15px;
	padding: 5px 30px;
	/*background: #fdcb6e;*/
	font-size: 0.85em;
	opacity: 0.2;
}
#home_name:hover, #away_name:hover {
	opacity: 1;
}

#home_stone, #home_name {
	bottom: 0;
}
#home_name {
	right: 0;
}

#away_stone, #away_name {
	top: 0;
}
#away_name {
	left: 0;
}

#pin {
	/*background-image: url(css/pin.svg);
	background-size: 100% 100%;
	width: 70px; height: 70px;*/ /*left should be -14px at this size */
	width: 43px;
	height: 43px;
	position: absolute;
	z-index: 2;
	top: 0; left: 0; right: 0; bottom: 0;
	margin: auto;
	box-shadow: 
		inset -3px 0 5px #55efc4,
	    inset 3px 0 5px #e84393,
	    0 0 70px 10px #fff,
	    2px 0 10px #55efc4,
	    -2px 0 10px #e84393;
	border-radius: 100%;
}

.pin { /* multiple spinner */
	/*background-image: url(css/pin.svg);
	background-size: 100% 100%;
	width: 70px; height: 70px;*/ /*left should be -14px at this size */
	width: 43px;
	height: 43px;
	position: absolute;
	z-index: 2;
	top: 0; left: 0; right: 0; bottom: 0;
	margin: auto;
	box-shadow: 
		inset -3px 0 5px #55efc4,
	    inset 3px 0 5px #e84393,
	    0 0 70px 10px #fff,
	    2px 0 10px #55efc4,
	    -2px 0 10px #e84393;
	border-radius: 100%;
}

#destroyer {
	background-image: url(css/pin.svg);
	background-size: 100% 100%;
	width: 70px; height: 70px; /*left should be -14px at this size */
	position: absolute;
	z-index: 2;
	top: -14px; left: -13px; right: 0; bottom: 0;
}

/*#pin:hover {
	width: 73px;
	height: 73px;
	left: -15px;
}*/

#info_wait {
	color: rgba(0,0,0,0.5);
	font-size: 0.9em;
	position: absolute;
	left: 0; margin: 0 auto; right: 0;
}
#info_wait:before {
	content: '';
	width: 30px; height: 30px;
	display: inline-block;
	position: relative;
	top: 11px;
	background-image: url(css/ripple2.svg);
	background-size: 100% 100%;
	background-position: center center;
	background-repeat: no-repeat;
}

#invalid_move {
	font-size: 3em;
	color: #e74c3c;
}

#gamenotif {
	position: absolute;
	width: 100%;
	height: 510px;
	/*border: 1px solid red;*/
	margin: auto;
	/*top: -70px;*/
	top: -120px;
	left: 0; right: 0; bottom: 0;
	overflow: hidden;
	padding: 0;
	text-align: center;
}

/*#gamenotif_cell {
	display: table-cell;
	vertical-align: middle;
}*/

.ggnotif {
	font-size: 1em;
	/*padding: 9px 90px;*/
	border-radius: 5px;
	font-family:'Roboto Condensed';
	position: absolute;
	border: 5px dashed rgba(0,0,0,0.2);
	box-shadow: inset 0 0 30px 1px rgba(0,0,0,0.1),
		0 0 10px 1px rgba(0,0,0,0.1);
	/*margin: 0 auto;*/
	/*width: 50%;*/
	/*left:0; right: 0;*/
	text-align: center;
	width: 510px;
	padding: 10px 0;
	margin: 0 auto;
	top:0;left: 0; right: 0;
}

.ggnotif.info {
	background: rgba(116, 185, 255, 1.0);
	color: #fff;
}

.ggnotif.warn {
	background: rgba(255, 234, 167,1.0);
}

.ggnotif.error {
	background: rgba(255, 118, 117,1.0);
	color: #fff;
}
.ggnotif.success {
	background: rgba(85, 239, 196,1.0);
}

#section_challenge_specific_players {
	opacity: 0.2;
}

[type=text].disabled {
	border: 3px dashed rgba(0,0,0,0.3) !important;
}

.ggnotif svg {
	position:relative;
	top: 3px;
}

strong {
	box-shadow: none;
	font-family: 'Roboto' !important;
}

.ggnotif.admin {
	background: #40739e;
	color: #fff;
	margin: auto;
	top:-90px;left: 0; right: 0;bottom:0;
	z-index: 100;
	height: 50px;
	max-height: 30%;
	overflow-y: auto;
	font-family:'Roboto Condensed';
	font-size: 0.9em;
	cursor: pointer;
	box-shadow: 0 0 10px 5px rgba(0,0,0,0.3)
}


/*tutorial*/
.anim_pointer {
	position: absolute;
	background: white;
	border: 1px solid rgba(0,0,0,0.3);
	padding: 10px 15px;
	border-radius: 5px;
	box-shadow: 
		inset 0 0 25px 1px rgba(0,0,0,0.2),
		0 0 10px 5px rgba(0,0,0,0.1);
	background: #81ecec;
	cursor: default;
	overflow: hidden;
	text-align: center;
}

.anim_pointer.centralize {
	top: 0; left: 0; right: 0; bottom: 0;
	margin: 0 auto;
	width: 300px;
	height: 100px;
}

#footer {
	padding: 20px 150px;
	background: rgba(0,0,0,0.05);
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
}

#footer div{
	font-family: "Roboto Mono";
	color: rgba(0,0,0,0.5);
	font-size: 0.9em;
}



#chat_container {
	width: 510px; width: 410px;
	margin: auto;
}

#chat_container .badge,
.world.badge,
.game.badge {
	font-size: 0.8em;
	font-family: 'Arial';
	background: #a29bfe;
	background: #e84118;
}
/*.online.badge {
	background: #34495e !important;
	font-size: 0.8em;
	font-family: 'Roboto'
}*/

.world.badge:empty,
.game.badge:empty {
	display: none;
}


#chat_container .chat {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	margin: 5px 0;
	align-items: flex-start;

}

#chat_container .chat * {
	font-family: 'Arial' !important;
	font-size: 0.90em;
}

#chat_container .chat .name {
	margin: 5px 0;
	font-family: 'Roboto Condensed' !important;
	text-transform: uppercase;
}

#chat_container .chat .message {
	background: #dfe4ea;
	border-radius: 10px;
	padding: 5px 10px;
	padding-top: 7px;
	max-width: 90%;
	border-top-left-radius: 0;
	word-wrap: break-word;
}

#chat_container .chat.self {
	display: flex;
	justify-content: flex-end;
	flex-direction: row !important;
	margin-top: 5px;
}
#chat_container .chat.self .name {
	display: none;
}
#chat_container .chat.self .message {
	background: #9c88ff;
	color: white;
	border-bottom-right-radius: 0px;
	border-top-left-radius: 10px;
	word-wrap: break-word;
}

#chat_container #World .chat.self .message {
	background: #00a8ff;
	color: white;
	border-bottom-right-radius: 0px;
}

#chat_container .tab-content::-webkit-scrollbar {
	width: 3px;
}

#chat_container .tab-content::-webkit-scrollbar-thumb {
	background: rgba(0,0,0,0.2);
}


#chat_container {
	position: absolute;
	height: 510px;
	width: 370px;
	top: 0;
	right: 0;
	bottom: 0;
	border-radius: 10px;
	box-shadow: 0 0 10px 5px rgba(0,0,0,0.3);
	overflow: hidden;
}

#chat_container .nav {
	overflow: hidden;
	background: #f1f2f6;
}

#chat_container .announcement {
	color: #9c88ff;
	text-align: center;
	margin-top: 20px !important;
	opacity: 0.9;
	font-size: 0.9em;
}

#chat_container .tab-content {
	/*overflow-wrap: break-word;*/
	overflow-y: scroll !important;
	/*overflow: auto;*/
	display: flex;
	align-items: flex-end;
	justify-content: center;
	height: 83%;
	padding: 0 15px;
	margin: 0;
	background: white;
	width: 100%;

}

#chat_container #chat_input {
	/*border: 1px solid black;*/
	/*border-radius: 10px;*/
	overflow: hidden;
}

#chat_input * {
	font-family: 'Consolas' !important;
	font-size: 0.9em;
}

#chat_input [type=text] {
	padding: 15px 20px;
	outline: none;
	border: none;
}

#World, #Game {
	padding: 5px 20px;
	width: 100%;
	/*overflow-y: scroll;*/
	max-height: 100%;
	/*align-items: flex-end;
	display: flex;
	justify-content: flex-start;*/
}

#World .message, #Game .message {
	
}


#blank_modal {
	background: rgba(0,0,0,0.4);
	width: 100%; height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: none;
}

#panel_options_container {
	position: fixed;
	/*width: 510px;*/
	padding: 0; margin: 0;
	margin: 0 auto;
	border-radius: 10px;
	bottom: 1%; right: 0%;
	text-align: right;
	z-index: 100;
}

#panel_options_container #for_chat button {
	border-radius: 100%;
	padding-top: 10px;
	outline: none;
	background: #54a0ff;
}



@media (min-width: 1322px) {

	#chat_container {
		top: 0;
		/*left: 0;*/
		right: 1%;
		bottom: 0;
		/*display: none;*/
		display: block !important;
	}

	/*#panel_options_container #for_chat {
		display: block;
	}*/
	#panel_options_container #for_chat {
		display: none;
	}

	#blank_modal {
		display: none !important;
	}

}

@media (max-width: 1321px) {
	#chat_container {
		top: 0;
		/*left: 0;*/
		/*right: 1%;*/
		bottom: 0;
		display: none;
		position: fixed;
	}

	#panel_options_container #for_chat {
		display: block;
	}

}

@media (min-width: 1366px) {

	#chat_container {
		left: 930px;
		display: block !important;
		border-radius: 2px !important;
		box-shadow: none !important;
		padding: 2px;
	}

	#chat_container .tab-content {
		border: 1px solid rgba(0,0,0,0.1);
	}

	#chat_container .nav {
		background: none;
	}

	#chat_container .nav.nav-tabs {
		border: none;
	}

	#panel_options_container #for_chat {
		display: none;
	}

	#chat_container #chat_input [type=text] {
		padding: 15px 20px;
		outline: none;
		border: none;
		font-family: 'Consolas' !important;
		font-size: 0.9em;
	}

	#chat_container #chat_input {
		/*border: 1px solid black;*/
		overflow: hidden;
	}

	#blank_modal {
		display: none !important;
	}
}

.time {
	color: rgba(0,0,0,0.3) !important;
}

.name:hover .time {
	color: rgba(0,0,0,0.9) !important;
}

.playername {
	border: 1px solid rgba(0,0,0,0.1);
	padding: 5px 20px;
	background: #54a0ff;
	color: white;
	border-radius: 10px;
	cursor: pointer;
	opacity: 0.8;
	margin: 0 5px;
	font-size: 0.8em;
}

.playername:hover {
	opacity: 1;
}

#player_list ul li {
	list-style-type: none;
}

#player_list .list {
	display:flex;justify-content:center;flex-flow:row wrap;align-items:flex-start; height:300px; overflow-x: hidden; overflow-y: scroll;
		padding: 10px;
}

#player_list .list::-webkit-scrollbar {
	width: 3px;
}

#player_list .list::-webkit-scrollbar-thumb {
	background: black;
}

#section-request-challenge {
	position: fixed;
	top: 0;
	right: 0;
	width: 200px;
	z-index: 5000;
	/*height: 50px;*/
	text-align: center;
}

#section-request-challenge .challenger-name {
	text-transform: uppercase;
}

#section_diverse_announcer {
	position: fixed;
	/*border: 1px solid black;*/
	top:60px;left:50px;
	width: 300px;
	z-index: 1500;
	word-wrap: break-word;
	max-height: 80%
	overflow: hidden;
}

.stone-image {
	position: absolute;
	z-index: 2;
	/*top: 0; left: 0; bottom: 0; right: 0;
	max-width: 100%;
	min-height: 100%;
	max-height: 100%;
	margin: auto;*/
	min-height: 100%;
}

.da {
	display: flex;
	flex-flow: column nowrap;
	justify-content: flex-start;
	align-items: flex-start;
}

.da_item { 
/* CAN BE MY NOTIFICATION ~! */
	background: #dff9fb;
	padding: 5px 15px;
	margin: 5px 0;
	padding-top: 10px;
	padding-bottom: 0;
	border-radius: 10px;
	/*position: absolute;*/
	z-index: 1051;
	box-shadow: 0 0 5px 1px rgba(0,0,0,0.05);
	word-wrap: break-word;
	max-width: 300px;
}

.da_item img {
	max-width: 200px;
}

.da_item p,
.da_item span:not(.glyphicon) {
	font-family: 'Roboto' !important;
	color:#535c68;
	text-transform: capitalize;
	font-size: 0.9em;
}

.da_item.warn {
	background: #f6e58d;
	border: 2px dashed rgba(0,0,0,0.2);
	box-shadow: 
		inset 0 0 20px 2px rgba(0,0,0,0.1),
		0 0 10px 5px rgba(0,0,0,0.1);
}
.da_item.success {
	background: #55efc4;
}
.da_item.success p {
	color: black;
}

.da_item.error {
	background: #ff7979;
}
.da_item.error p {
	color: #fff;
}
.da_item.tips {
	background: #F8EFBA;
}
.da_item p {
	text-transform: none;
}
span.capitalizeme {
	text-transform: capitalize !important;
}
.red {
	color: #eb4d4b;
}

.pink {
	color: #be2edd;
}

.da_type {
	margin: 0 10px;
}

.destroy {
	color: #ff6b6b;
}

.paralyze {
	color: #5f27cd;
}

.winner, .loser {
	text-transform: uppercase;
}

#s_lite [type=text] {
	text-transform: none !important;
	font-family: 'Roboto';
	font-size: 0.9em;
}

#txt_attention {
	background: #f6e58d;
	border: 2px dashed rgba(0,0,0,0.2);
	box-shadow: 
		inset 0 0 20px 2px rgba(0,0,0,0.1),
		0 0 10px 5px rgba(0,0,0,0.1);
}

.skin-list .skin {
	margin: 5px;
	width: 130px;
	height: 130px;
	cursor: pointer;
	opacity: 0.8;
	background-repeat: no-repeat;
	background-position: center center;
	border-radius: 5px;
	border: 2px solid white;
	box-shadow: 0 0 5px 1px rgba(0,0,0,0.5);
}

.skin-list .skin:hover {
	border-color: #3498db;
}

#someone_typing,
#someone_typing_in_game {
	position: absolute;
	font-family: 'Roboto' !important;
	font-size: 0.9em;
	bottom: 33px;
	left: 0;
	width: 100%;
	background: rgba(116, 185, 255, 0.3);
	padding: 2px 0px;
	opacity:0;
	text-align: center;
}

#online {
	padding-left: 20px;
}
#online .badge {
	top: -2px;
	position: relative;
}
#online::before {
	content: '';
	background: #2ecc71;
	position: absolute;
	left: 8px; top: -2px ; bottom:0;
	width: 7px; height: 7px;
	border-radius: 100%;
	margin: auto 0;
}

.glyphicon.glyphicon-heart {
	color:#ff6b6b;	
}
